org.apache.mina.util

## Class DefaultExceptionMonitor

- java.lang.Object
- - org.apache.mina.util.ExceptionMonitor
  - - org.apache.mina.util.DefaultExceptionMonitor

-     public class DefaultExceptionMonitor
      extends ExceptionMonitor

  A default `ExceptionMonitor` implementation that logs uncaught exceptions using `Logger`.

  All `IoService`s have this implementation as a default exception monitor.

  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExceptionMonitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exceptionCaught(Throwable cause)` Invoked when there are any uncaught exceptions.

    - ### Methods inherited from class org.apache.mina.util.ExceptionMonitor

      `getInstance, setInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExceptionMonitor

          public DefaultExceptionMonitor()

  - ### Method Detail

    - #### exceptionCaught

          public void exceptionCaught(Throwable cause)

      Invoked when there are any uncaught exceptions.
      Specified by:
        `exceptionCaught` in class `ExceptionMonitor`
      Parameters:
        `cause` - The caught exception

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.